""" File contains node group names"""

NODE_GROUP_NAME              = 'ShaderNodeGroup' #TODO-270 return to enum
NODE_GROUP_EDM_NAME          = 'EdmMatrialShaderNodeType'
NODE_GROUP_DEFAULT_NAME      = 'EdmDefaultShaderNodeType'
NODE_GROUP_GLASS_NAME        = 'EdmGlassShaderNodeType'
NODE_GROUP_DECK_NAME         = 'EdmDeckShaderNodeType'
NODE_GROUP_FAKE_OMNI_NAME    = 'EdmFakeOmniShaderNodeType'
NODE_GROUP_FAKE_SPOT_NAME    = 'EdmFakeSpotShaderNodeType'

NODE_GROUPS = set([
    NODE_GROUP_NAME,           
    NODE_GROUP_EDM_NAME,       
    NODE_GROUP_DEFAULT_NAME,   
    NODE_GROUP_GLASS_NAME,     
    NODE_GROUP_DECK_NAME,      
    NODE_GROUP_FAKE_OMNI_NAME, 
    NODE_GROUP_FAKE_SPOT_NAME 
])

NODE_GROUPS_EDM = set([
    NODE_GROUP_DEFAULT_NAME,   
    NODE_GROUP_GLASS_NAME,     
    NODE_GROUP_DECK_NAME,      
    NODE_GROUP_FAKE_OMNI_NAME, 
    NODE_GROUP_FAKE_SPOT_NAME 
])

## check if node_group is edm     
def isEdmMaterial(bl_idname: str) -> bool:  
    return bl_idname in NODE_GROUPS

def isEdmCustomMaterial(bl_idname: str) -> bool:
    return bl_idname in NODE_GROUPS_EDM
